package com.utopiaindustries.qualitychecker.models;

import java.io.Serializable;
import java.util.Arrays;

public class InspectionItemDefect implements Serializable {

    private static final long serialVersionUID = 1L;
    private long id;
    private long cpId;
    private String title;
   private String defectSeverity;
   private float quantity;
    // wrapper
    private byte[] file;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public long getCpId() {
        return cpId;
    }

    public void setCpId(long cpId) {
        this.cpId = cpId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDefectSeverity() {
        return defectSeverity;
    }

    public void setDefectSeverity(String defectSeverity) {
        this.defectSeverity = defectSeverity;
    }

    public float getQuantity() {
        return quantity;
    }

    public void setQuantity(float quantity) {
        this.quantity = quantity;
    }

    public byte[] getFile() {
        return file;
    }

    public void setFile(byte[] file) {
        this.file = file;
    }


    @Override
    public String toString() {
        return "InspectionItemDefect{" +
                "id=" + id +
                ", cpId=" + cpId +
                ", title='" + title + '\'' +
                ", file=" + Arrays.toString(file) +
                '}';
    }
}
